Bug 474535 - Review Request: clamtk - Easy to use front-end for ClamAV
Review Request: clamtk - Easy to use front-end for ClamAV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
: 536694 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 06:05 EST by Jerome Soyer
Modified: 2010-01-22 16:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-19 04:16:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jerome Soyer 2008-12-04 06:05:28 EST
Spec URL: http://saispo.fedorapeople.org/clamtk.spec
SRPM URL: http://saispo.fedorapeople.org/clamtk-4.05-1.fc11.src.rpm
Description: 
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click
virus scanner for Linux systems.
Comment 1 Fabian Affolter 2008-12-08 08:58:13 EST
Just some quick comments on your spec file

- 'Version: 4.05', the latest version is 4.06

- 'Group: File tools' is not a valid group.
  -> 'less /usr/share/doc/rpm-*/GROUPS' for a list with valid group entries

- 'Requires:  perl...' is missing, take a look at
https://fedoraproject.org/wiki/Packaging/Perl#Versioned_MODULE_COMPAT__Requires

- '%defattr(-,root,root)' is normally '%defattr(-,root,root,-)'

- Your Changelog entry is missing the Release. See
https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
Comment 2 Jerome Soyer 2008-12-09 05:25:18 EST
Hi,

Thanks for the review, i have fixed all that you said.

You can find new version at :

http://saispo.fedorapeople.org/clamtk.spec
http://saispo.fedorapeople.org/clamtk-4.06-1.fc11.src.rpm
Comment 3 Fabian Affolter 2008-12-10 04:13:00 EST
%changelog again

- Every time you make changes in your spec file, you should bump the release
and create a new entry in your changelog.  Now it should be '2' ;-)
  https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
Comment 4 Jerome Soyer 2008-12-10 08:08:51 EST
Hi, 

Done =)

I update the changelog and bump to Release 2

Thanks
Comment 6 Fabian Affolter 2008-12-28 18:31:09 EST
ClamTk 4.08 released
Comment 7 Jerome Soyer 2009-01-02 09:41:06 EST
Hi,

SPECS and SRPMS  are updated.

http://saispo.fedorapeople.org/clamtk-4.08-1.fc11.src.rpm
http://saispo.fedorapeople.org/clamtk.spec
Comment 8 Dan Horák 2009-01-05 02:51:41 EST
formal review is here, see the notes below:

OK	source files match upstream:
	    2f6cd136e0975f980f32628d908d1686b49f948a  clamtk-4.08.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
BAD	license field matches the actual license.
OK	license is open source-compatible. License text not included upstream.
OK	latest version is being packaged.
BAD	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
OK*	rpmlint is silent.
BAD	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
BAD	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	is a GUI app, desktop file is installed.


- the LICENSE file says this software is licensed "same as Perl", that means the License tag should be "GPL+ or Artistic"
- I don't see a reason why should be "gettext" required for building, the %build section is empty
- rpmlint complains about hardcoded "lib", but this is a noarch package. Why can't be the content of ClamTk directory installed into regular Perl modules' place?
- you should not specify Requires(pre,post): desktop-file-utils when a scriptlet is present for updating the desktop database - https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
- the Gtk2 and other perl modules should not be included as manual "Requires", they are found automagically during the package building process
- no need to run "update-mime-database" in the scriptlets because no file is dropped into %{datadir}/mime/... - https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#mimeinfo
Comment 9 Jerome Soyer 2009-01-06 07:23:03 EST
Hop,

All have been fixed with your comments. You can find all things at :

http://saispo.fedorapeople.org/clamtk-4.08-2.fc11.src.rpm
http://saispo.fedorapeople.org/clamtk.spec

Thanks for the review.
Comment 10 Dan Horák 2009-01-06 09:03:23 EST
With the move of the ClamTk directory into %{perl_vendorlib} and creating thus a perl module, you should add back the "Requires:  perl(:MODULE_COMPAT_...)" - https://fedoraproject.org/wiki/Packaging/Perl#Versioned_MODULE_COMPAT__Requires. The rest of issues has been fixed, so please one more iteration.
Comment 12 Dan Horák 2009-01-07 06:44:51 EST
There is no need to use the requires/provides filtering, I have built clamtk-4.08-2.fc11.src.rpm and the autogenerated requires/provides are fine.
Anyway the "unwanted_require" string is meant to be substituted for the actual bad require (like e.g. "Gtk2::YourSuperModule"). So drop the filters from the %prep section and we should be fine.
Comment 14 Dan Horák 2009-01-07 08:07:26 EST
Now I am satisfied and this package is APPROVED.

I will sponsor you now, but don't hesitate to ask either me or the on the fedora-devel mailing list when you are unsure about anything related to Fedora packaging.
Comment 15 Jerome Soyer 2009-01-07 08:10:50 EST
Ok, thanks ! I don't hesitate :)
Comment 16 Jerome Soyer 2009-01-07 08:24:06 EST
New Package CVS Request
=======================
Package Name: clamtk
Short Description: ClamTk is a GUI front-end for ClamAV
Owners: saispo
Branches: F-10 devel
InitialCC: saispo
Comment 17 Kevin Fenzi 2009-01-09 00:33:54 EST
cvs done.
Comment 18 Mamoru TASAKA 2009-11-11 08:37:43 EST
*** Bug 536694 has been marked as a duplicate of this bug. ***
Comment 19 Jason Tibbitts 2010-01-22 16:42:21 EST
*** Bug 536694 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.